# Uses of Class
org.apache.sysds.runtime.einsum.EOpNode

Packages that use EOpNode
Package
Description
org.apache.sysds.runtime.einsum

## Uses of EOpNode in org.apache.sysds.runtime.einsum

Subclasses of EOpNode in org.apache.sysds.runtime.einsum
Modifier and Type
Class
Description
`class`
`EOpNodeBinary`
`class`
`EOpNodeData`
`class`
`EOpNodeFuse`
`class`
`EOpNodeUnary`
Fields in org.apache.sysds.runtime.einsum declared as EOpNode
Modifier and Type
Field
Description
`EOpNode`
EOpNodeUnary.`child`
`EOpNode`
EOpNodeBinary.`left`
`EOpNode`
EOpNodeBinary.`right`
Fields in org.apache.sysds.runtime.einsum with type parameters of type EOpNode
Modifier and Type
Field
Description
`List<EOpNode>`
EOpNodeFuse.`ABs`
`List<EOpNode>`
EOpNodeFuse.`As`
`List<EOpNode>`
EOpNodeFuse.`AZs`
`List<EOpNode>`
EOpNodeFuse.`BAs`
`List<EOpNode>`
EOpNodeFuse.`Bs`
Methods in org.apache.sysds.runtime.einsum that return EOpNode
Modifier and Type
Method
Description
`abstract EOpNode`
EOpNode.`reorderChildrenAndOptimize(EOpNode parent, Character outChar1, Character outChar2)`
`EOpNode`
EOpNodeBinary.`reorderChildrenAndOptimize(EOpNode parent, Character outChar1, Character outChar2)`
`EOpNode`
EOpNodeData.`reorderChildrenAndOptimize(EOpNode parent, Character outChar1, Character outChar2)`
`EOpNode`
EOpNodeFuse.`reorderChildrenAndOptimize(EOpNode parent, Character outChar1, Character outChar2)`
`EOpNode`
EOpNodeUnary.`reorderChildrenAndOptimize(EOpNode parent, Character outChar1, Character outChar2)`
Methods in org.apache.sysds.runtime.einsum that return types with arguments of type EOpNode
Modifier and Type
Method
Description
`abstract List<EOpNode>`
EOpNode.`getChildren()`
`List<EOpNode>`
EOpNodeBinary.`getChildren()`
`List<EOpNode>`
EOpNodeData.`getChildren()`
`List<EOpNode>`
EOpNodeFuse.`getChildren()`
`List<EOpNode>`
EOpNodeUnary.`getChildren()`
Methods in org.apache.sysds.runtime.einsum with parameters of type EOpNode
Modifier and Type
Method
Description
`void`
EOpNodeFuse.`addScalarAsIntermediate(EOpNode scalar)`
`static EOpNodeBinary`
EOpNodeBinary.`combineMatrixMultiply(EOpNode left, EOpNode right)`
`abstract EOpNode`
EOpNode.`reorderChildrenAndOptimize(EOpNode parent, Character outChar1, Character outChar2)`
`EOpNode`
EOpNodeBinary.`reorderChildrenAndOptimize(EOpNode parent, Character outChar1, Character outChar2)`
`EOpNode`
EOpNodeData.`reorderChildrenAndOptimize(EOpNode parent, Character outChar1, Character outChar2)`
`EOpNode`
EOpNodeFuse.`reorderChildrenAndOptimize(EOpNode parent, Character outChar1, Character outChar2)`
`EOpNode`
EOpNodeUnary.`reorderChildrenAndOptimize(EOpNode parent, Character outChar1, Character outChar2)`
`static org.apache.commons.lang3.tuple.Triple<Integer,EOpNodeBinary.EBinaryOperand,org.apache.commons.lang3.tuple.Pair<Character,Character>>`
EOpNodeBinary.`tryCombineAndCost(EOpNode n1, EOpNode n2, HashMap<Character,Integer> charToSizeMap, HashMap<Character,Integer> charToOccurences, Character outChar1, Character outChar2)`
Method parameters in org.apache.sysds.runtime.einsum with type arguments of type EOpNode
Modifier and Type
Method
Description
`static List<EOpNodeFuse>`
EOpNodeFuse.`findFuseOps(List<EOpNode> operands, Character outChar1, Character outChar2, Map<Character,Integer> charToSize, Map<Character,Integer> charToOccurences, List<EOpNode> ret)`
Constructors in org.apache.sysds.runtime.einsum with parameters of type EOpNode
Modifier
Constructor
Description
``
`EOpNodeBinary(EOpNode left, EOpNode right, EOpNodeBinary.EBinaryOperand operand)`
``
`EOpNodeUnary(Character c1, Character c2, Integer dim1, Integer dim2, EOpNode child, EOpNodeUnary.EUnaryOperand eUnaryOperand)`
Constructor parameters in org.apache.sysds.runtime.einsum with type arguments of type EOpNode
Modifier
Constructor
Description
``
`EOpNodeFuse(EOpNodeFuse.EinsumRewriteType einsumRewriteType, List<EOpNode> ABs, List<EOpNode> BAs, List<EOpNode> Bs, List<EOpNode> As, List<EOpNode> AZs, List<org.apache.commons.lang3.tuple.Pair<List<EOpNode>,List<EOpNode>>> AXsAndXs)`